<?php

namespace AutoAdmin\Bundle\Content\Model;

use DateTime;

interface PublishTimePeriodInterface
{
    public function setPublishStartDate(?DateTime $startDate = null);

    public function getPublishStartDate();

    public function setPublishEndDate(?DateTime $endDate = null);

    public function getPublishEndDate();

    public function isInPublishTimePeriod();
}